echo off

set CONSOLEDIR=Console
cd %CONSOLEDIR%

echo ------------------------------------------------------------------
..\AjustementJavaFile FrameConsole.java defaultTx "640"
echo ------------------------------------------------------------------
..\AjustementJavaFile FrameConsole.java defaultTy "480"
echo ------------------------------------------------------------------
..\AjustementJavaFile FrameConsole.java defaultLines "100"
echo ------------------------------------------------------------------
..\AjustementJavaFile CanvasConsole.java defaultFont "\"Courier new\""
echo ------------------------------------------------------------------
..\AjustementJavaFile CanvasConsole.java defaultSize "18"
echo ------------------------------------------------------------------
..\AjustementJavaFile CanvasConsole.java defaultStyle "Font.BOLD"
echo ------------------------------------------------------------------

javac -Xlint:deprecation -Xlint:unchecked -source %ALGOVERSION% -target %ALGOVERSION% -bootclasspath %ALGOBOOTCLASSPATH% -extdirs "" Console.java
javac -Xlint:deprecation -Xlint:unchecked -source %ALGOVERSION% -target %ALGOVERSION% -bootclasspath %ALGOBOOTCLASSPATH% -extdirs "" FrameConsole.java
javac -Xlint:deprecation -Xlint:unchecked -source %ALGOVERSION% -target %ALGOVERSION% -bootclasspath %ALGOBOOTCLASSPATH% -extdirs "" ConsoleReader.java
javac -Xlint:deprecation -Xlint:unchecked -source %ALGOVERSION% -target %ALGOVERSION% -bootclasspath %ALGOBOOTCLASSPATH% -extdirs "" ConsolePrinter.java
javac -Xlint:deprecation -Xlint:unchecked -source %ALGOVERSION% -target %ALGOVERSION% -bootclasspath %ALGOBOOTCLASSPATH% -extdirs "" CanvasConsole.java
javac -Xlint:deprecation -Xlint:unchecked -source %ALGOVERSION% -target %ALGOVERSION% -bootclasspath %ALGOBOOTCLASSPATH% -extdirs "" CurseurCanvasConsole.java

cd ..

set DESTDIR=03-Tableaux

set SRCNAME=GenerationTableauReel
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------

set SRCNAME=AffichageTableauSeuils
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------

set SRCNAME=InitialisationTableauBoolean
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=TableauFactoriels
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=TableauFactorielsLong
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=TableauDamier
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=PassageTableauEnParametre
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=InitialisationTableauReel
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=ValeurMinimaleTableauReel
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=UtilisationChaineEtTableauCaracteres
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
cd %CONSOLEDIR%
jar uf %SRCNAME%EnConsole.jar Chaine.class
cd ..
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=TableauPosition2D
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
cd %CONSOLEDIR%
jar uf %SRCNAME%EnConsole.jar %SRCNAME%EnConsole$Position2D.class
cd ..
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=TableauPosition2DAvecFonctions
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
cd %CONSOLEDIR%
jar uf %SRCNAME%EnConsole.jar %SRCNAME%EnConsole$Position2D.class
cd ..
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=TypeAgregeAvecTableau
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
cd %CONSOLEDIR%
jar uf %SRCNAME%EnConsole.jar %SRCNAME%EnConsole$EnsembleDeDouble.class
cd ..
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=AffichageTableauSeuils
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=MoyenneTableau
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=NombreValeursInferieuresLimite
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=ClassificationTableau
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=FonctionsGenerationTableau
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=FonctionNombreValeursInferieuresLimite
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=FonctionClassificationTableau
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=IndiceDuMinimum
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=AffectationEntreTableaux
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=TestEgaliteTableaux
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=AffectationEntreTableauxAvecFonctions
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=TestEgaliteTableauxAvecFonctions
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=FusionTableaux
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=TableauSommets2D
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
cd %CONSOLEDIR%
jar uf %SRCNAME%EnConsole.jar %SRCNAME%EnConsole$Sommet2D.class
cd ..
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=BarycentreNuageSommets3D
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
cd %CONSOLEDIR%
jar uf %SRCNAME%EnConsole.jar %SRCNAME%EnConsole$Sommet3D.class
cd ..
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=EchantillonFraisesTagada
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
cd %CONSOLEDIR%
jar uf %SRCNAME%EnConsole.jar %SRCNAME%EnConsole$Echantillon.class
cd ..
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=CoefficientCorrelationLineaire
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
cd %CONSOLEDIR%
jar uf %SRCNAME%EnConsole.jar %SRCNAME%EnConsole$DeuxSeries.class
cd ..
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=EnsembleDeChainesDeCaracteres
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
cd %CONSOLEDIR%
jar uf %SRCNAME%EnConsole.jar %SRCNAME%EnConsole$EnsembleDeChaines.class
cd ..
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL
echo ------------------------------------------------------------------
set SRCNAME=Cryptage
if exist %CONSOLEDIR%\%SRCNAME%EnConsole.jar del %CONSOLEDIR%\%SRCNAME%EnConsole.jar 
GenerationJarConsole %DESTDIR%\%SRCNAME%       %CONSOLEDIR% %ALGOVERSION% "%ALGOBOOTCLASSPATH%"
cd %CONSOLEDIR%
jar uf %SRCNAME%EnConsole.jar %SRCNAME%EnConsole$ClefDeCryptageEnConsole.class
cd ..
xcopy %CONSOLEDIR%\%SRCNAME%EnConsole.jar      %DESTDIR% /Q /Y >NUL

echo ------------------------------------------------------------------

pause
